package com.kingdee.eas.hr.project;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractWorkHoursReportInfo extends com.kingdee.eas.hr.base.HRBillBaseInfo implements Serializable 
{
    public AbstractWorkHoursReportInfo()
    {
        this("id");
    }
    protected AbstractWorkHoursReportInfo(String pkField)
    {
        super(pkField);
        put("entrys", new com.kingdee.eas.hr.project.WorkHoursReportEntryCollection());
    }
    /**
     * Object: 项目工时填报 's 分录 property 
     */
    public com.kingdee.eas.hr.project.WorkHoursReportEntryCollection getEntrys()
    {
        return (com.kingdee.eas.hr.project.WorkHoursReportEntryCollection)get("entrys");
    }
    /**
     * Object:项目工时填报's 是否生成凭证property 
     */
    public boolean isFivouchered()
    {
        return getBoolean("Fivouchered");
    }
    public void setFivouchered(boolean item)
    {
        setBoolean("Fivouchered", item);
    }
    /**
     * Object:项目工时填报's 数据来源property 
     */
    public com.kingdee.eas.hr.project.dataSource getDataSource()
    {
        return com.kingdee.eas.hr.project.dataSource.getEnum(getString("dataSource"));
    }
    public void setDataSource(com.kingdee.eas.hr.project.dataSource item)
    {
		if (item != null) {
        setString("dataSource", item.getValue());
		}
    }
    /**
     * Object: 项目工时填报 's 所属项目 property 
     */
    public com.kingdee.eas.hr.project.ProjectManagementInfo getAffiliatedProject()
    {
        return (com.kingdee.eas.hr.project.ProjectManagementInfo)get("affiliatedProject");
    }
    public void setAffiliatedProject(com.kingdee.eas.hr.project.ProjectManagementInfo item)
    {
        put("affiliatedProject", item);
    }
    /**
     * Object:项目工时填报's 填报开始日期property 
     */
    public java.util.Date getFillingStartDate()
    {
        return getDate("fillingStartDate");
    }
    public void setFillingStartDate(java.util.Date item)
    {
        setDate("fillingStartDate", item);
    }
    /**
     * Object:项目工时填报's 填报结束日期property 
     */
    public java.util.Date getFillingEndDate()
    {
        return getDate("fillingEndDate");
    }
    public void setFillingEndDate(java.util.Date item)
    {
        setDate("fillingEndDate", item);
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("CF9DCEB1");
    }
}